Core - Bug # 51733

Status: Resolved Priority: Must have

Author: Christian Futterlieb Category: File Abstraction Layer (FAL)
Created: 2013-09-04 Assigned To:

Updated: 2013-09-06 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: Fatal Error in Install Tool after Upgrading from 6.0.8 to 6.0.9

Description

After Upgrading from 6.0.8 to 6.0.9, | cannot run the "Migrate all file relations from tt_content.image and pages.media" upgrade

wizard. It fails with following fatal error:

Fatal error: Call to a member function isAdmin() on a non-object in

/path/to/TYPO3/6.0.9/typo3/sysext/core/Classes/Resource/Security/StoragePermissionsAspect.php on line 76

Related issues:

duplicated by Core - Bug # 51760: Upgrade Wizard - Migration to File Abstract...
duplicated by Core - Bug # 51806: PHP Fatal error in TYPOS3 6.1.4 Install Tool...

Closed
Closed

2013-09-05
2013-09-06

Associated revisions

Revision 65768d05 - 2013-09-06 11:32 - Helmut Hummel

[BUGFIX] Do not register storage factory slot during install

In install tool context TYPO3_MODE is set to BE
but there is no backend user initialized.
Because of that the storage permission aspect

fails as it requires a valid backend user object.

Do not register the slot when in install tool context.

Releases: 6.0, 6.1, 6.2

Resolves: #51733

Change-Id: 12da95ccd357b730b97bcf99bef21b18c04469274
Reviewed-on: https://review.typo3.org/23621

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision f1b5e15d - 2013-09-06 11:32 - Helmut Hummel

[BUGFIX] Do not register storage factory slot during install

In install tool context TYPO3_MODE is set to BE

but there is no backend user initialized.

Because of that the storage permission aspect
fails as it requires a valid backend user object.
https://review.typo3.org/23621

Do not register the slot when in install tool context.

Releases: 6.0, 6.1, 6.2

Resolves: #51733

Change-Id: 145090b389ba8c641ba49e9f8e59004aac47853e7
Reviewed-on: https://review.typo3.org/23653

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 990cd92c - 2013-09-06 11:34 - Helmut Hummel

[BUGFIX] Do not register storage factory slot during install

In install tool context TYPO3_MODE is set to BE
but there is no backend user initialized.
Because of that the storage permission aspect

fails as it requires a valid backend user object.

Do not register the slot when in install tool context.

Releases: 6.0, 6.1, 6.2

Resolves: #51733

Change-Id: 12da95ccd357b730b97bcfI9bef21b18c04469274
Reviewed-on: https://review.typo3.org/23654

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2013-09-04 17:59 - Christian Futterlieb

This applies for TYPO3 6.1.4 as well

#2 - 2013-09-04 19:56 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23621

#3 - 2013-09-04 19:58 - Helmut Hummel

Christian Futterlieb wrote:

This applies for TYPO3 6.1.4 as well

Can you check if https:/review.typo3.0rg/23621 solves your problem?

Don't forget to clear the cache (typo3temp/Cache/) after applying the fix, as ext_localconf.php files are cached.

2015-08-04

2/3


https://review.typo3.org/23653
https://review.typo3.org/23654
https://review.typo3.org/23621
https://review.typo3.org/23621

#4 - 2013-09-04 21:34 - Ernesto Baschny
- Category changed from Install Tool to 1394

#5 - 2013-09-05 16:15 - Bas van Beek

The following patch: https://review.typo3.0rg/23621 fixed the issue with the error:

mod_fcgid: stderr: PHP Fatal error: Call to a member function isAdmin() on a non-object in

typo3_src-6.1.4/typo3/sysext/core/Classes/Resource/Security/StoragePermissionsAspect.php on line 76

(TYPO3 4.1.4)

#6 - 2013-09-05 17:59 - Ernesto Baschny

- Target version set to next-patchlevel

#7 - 2013-09-06 11:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23621

#8 - 2013-09-06 11:32 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23653

#9 - 2013-09-06 11:34 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/23654

#10 - 2013-09-06 12:30 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:990cd92c729d0c70142eba5b6b4ee8609442b23.

#11 - 2013-09-06 22:21 - Ernesto Baschny

- Is Regression set to Yes

#12 - 2013-09-06 22:22 - Ernesto Baschny
- Category changed from 1394 to File Abstraction Layer (FAL)
